Xerces2 Implementation: Class ListDatatypeValidator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv.dtd
Class ListDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.impl.dv.dtd.ListDatatypeValidator

All Implemented Interfaces:
  DatatypeValidator

public class ListDatatypeValidator
extends java.lang.Object
implements DatatypeValidator

For list types: ENTITIES, IDREFS, NMTOKENS.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: ListDatatypeValidator.java 572061 2007-09-02 18:05:06Z mrglavas $
Author:
  Jeffrey Rodriguez, IBM, Sandy Gao, IBM

Constructor Summary
`ListDatatypeValidator(DatatypeValidator itemDV)`

Method Summary
`void` | `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListDatatypeValidator

    public ListDatatypeValidator(DatatypeValidator itemDV)

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  Checks that "content" string is valid. If invalid a Datatype validation exception is thrown.
  Specified by:
    `validate` in interface `DatatypeValidator`
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context
  Throws:
    `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
  See Also:
    `InvalidDatatypeValueException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.